package com.heyu.api.data.dao.vv;
/**
* <p>
* 属性值表 服务类
* </p>
*
* @author quyixiao
* @since 2025-08-24
*/
import com.heyu.api.data.entity.vv.VvCategoryPropertyValueEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.lz.mybatis.plugin.annotations.IN;
import com.lz.mybatis.plugin.annotations.OrderBy;
import com.lz.mybatis.plugin.annotations.OrderType;
import com.lz.mybatis.plugin.annotations.Realy;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface VvCategoryPropertyValueDao extends BaseMapper<VvCategoryPropertyValueEntity> {


	VvCategoryPropertyValueEntity selectVvCategoryPropertyValueById(@Param("id")Long id);


	Long insertVvCategoryPropertyValue(VvCategoryPropertyValueEntity vvCategoryPropertyValue);


	Long insertOrUpdateVvCategoryPropertyValue(VvCategoryPropertyValueEntity vvCategoryPropertyValue);


	int updateVvCategoryPropertyValueById(VvCategoryPropertyValueEntity vvCategoryPropertyValue);


	int updateCoverVvCategoryPropertyValueById(VvCategoryPropertyValueEntity vvCategoryPropertyValue);


    @Realy
	int deleteVvCategoryPropertyValueById(@Param("id")Long id);


	@OrderBy(value={VvCategoryPropertyValueEntity.default_sort},type={OrderType.ASC})
	List<VvCategoryPropertyValueEntity> selectVvPropertyValueByPropertyId(Long categoryPropertyId);


	@OrderBy(value={VvCategoryPropertyValueEntity.default_sort},type={OrderType.ASC})
	List<VvCategoryPropertyValueEntity> selectVvPropertyValueByIds(@IN List<Long> id);
}